#
# spec file for package python3-amqplib
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-amqplib
Version:        1.0.2
Release:        9.2
Url:            http://code.google.com/p/py-amqplib/
Summary:        Client library for AMQP (Advanced Message Queuing Protocol)
License:        LGPL-2.1+
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/a/amqplib/amqplib-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-2to3
BuildRequires:  python3-devel
BuildArch:      noarch

%description
Supports the 0-8 AMQP spec, and has been tested with RabbitMQ and Pythons 2.4,
2.5, and 2.6.

%prep
%setup -q -n amqplib-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE README TODO docs/*.txt
%{python3_sitelib}/amqplib
%{python3_sitelib}/amqplib-%{version}-py%{py3_ver}.egg-info

%changelog
* Sat Jan 10 2015 arun@gmx.de
- specfile:
  * update copyright year
  * remove python(abi) requirement
* Thu Nov 22 2012 toddrme2178@gmail.com
- Remove openSUSE 11.4 spec file workarounds
* Wed Aug 15 2012 highwaystar.ru@gmail.com
- python3 package added
